Install needs to be fixed Rated 4 out of 5 stars

I tried to install this but the install popup says it couldn't install because the file appears to be corrupt.

EDIT: Okay, I don't use those. I was trying to install this into Pale Moon v26.0.3 (latest). It doesn't have Firefox's sound mute in the tab buttons so I thought this would be a helpful replacement. Thanks anyways.

Dié resensie is oor 'n vorige weergawe van dié byvoeging (0.1.1). 

Make sure you have at least Firefox Developer Edition or better yet Nightly.